Browse Source

feat(buildpack): Add config and buildpacks.

jackyalcine 3 months ago
parent
commit
6367ffd055
Signed by: Jacky Alciné <yo@jacky.wtf> GPG Key ID: 537A4F904B15268D
4 changed files with 14 additions and 2 deletions
  1. 2
    0
      .buildpacks
  2. 2
    2
      README.markdown
  3. 2
    0
      phoenix_static_buildpack.config
  4. 8
    0
      scripts/buildpack-compile.sh

+ 2
- 0
.buildpacks View File

@@ -0,0 +1,2 @@
1
+https://github.com/HashNuke/heroku-buildpack-elixir
2
+https://github.com/gjaldon/heroku-buildpack-phoenix-static

+ 2
- 2
README.markdown View File

@@ -24,8 +24,8 @@ where servers or users are shared.
24 24
 
25 25
 ## Install
26 26
 
27
-Installation of Koype is done using Docker and Docker Compose. For detailed
28
-instructions, see [`INSTALL`][2].
27
+Installation of Koype to a machine can be done in a few different ways. For more
28
+information, check out [`INSTALL`][2].
29 29
 
30 30
 ## Usage
31 31
 

+ 2
- 0
phoenix_static_buildpack.config View File

@@ -0,0 +1,2 @@
1
+remove_node=true
2
+assets_path=.

+ 8
- 0
scripts/buildpack-compile.sh View File

@@ -0,0 +1,8 @@
1
+#!/usr/bin/env sh
2
+
3
+cd $phoenix_dir || exit 20
4
+npm install -g npx@latest
5
+npm run parcel:build
6
+mix ecto.setup
7
+mix phx.digest
8
+mix que.setup

Loading…
Cancel
Save